Techsmith Assets only useful for Camtasia v2018+ ?!?

  • 1
  • Question
  • Updated 9 months ago
I'm reviewing the Techsmith Assets library, and when I'm drilling into the individual video footage files, it specifies that they "Require Camtasia 2018.0.0 or later."

Is this actually true? Isn't this stock footage just MP4s? Is there any reason I can't use this in Camtasia 9... just like other MP4s I've used previously? 

I'm asking because I may be able to get my manager to pony up for a stock subscription, but not a stock subscription PLUS an upgrade. And I need clarity on whether I can use the footage in Cam 9 before I'll get the $$$.

I couldn't care less about the lower thirds and all that... I just need the stock video footage. 
Photo of Eric

Eric

  • 18 Posts
  • 12 Reply Likes
  • confused

Posted 9 months ago

  • 1
Photo of Conan Heiselt

Conan Heiselt, Employee

  • 493 Posts
  • 72 Reply Likes
Hi Eric,

The media in the "Footage" category are MP4s that can be used in any video editor. It's the Intros, Outros, Lower Thirds, and Device Frames that are Camtasia 2018-specific.

Does that answer your question?


Conan.
Photo of Eric

Eric

  • 18 Posts
  • 12 Reply Likes
Thank you! You guys might want to update your info... it clearly says you need v2018+ in order to use any of the image or footage assets when you drill into them. Might avoid confusion and potentially translate to more sales.
Photo of Conan Heiselt

Conan Heiselt, Employee

  • 493 Posts
  • 72 Reply Likes
Thanks! Already passed on to the project manager.